Get user
curl --request GET \
--url https://api.example.com/api/v2/users/{userId}import requests
url = "https://api.example.com/api/v2/users/{userId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"profilePictureUrl": "<string>",
"email": "<string>",
"username": "<string>",
"addedOn": "2023-11-07T05:31:56Z",
"hasLoggedIn": true,
"isServiceAccount": true,
"isAgentUser": true,
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountName": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"lastModificationDate": "2023-11-07T05:31:56Z",
"groupOwner": "<string>",
"name": "<string>",
"description": "<string>",
"members": "<array>",
"workspacesAssigned": [
"<string>"
]
}
],
"roleAssignments": [
{
"userId": "<string>",
"workspaceId": "<string>",
"workspaceName": "<string>",
"assignmentType": "<string>"
}
]
},
"meta": {
"requestId": "<string>",
"timestamp": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"requestId": "<string>",
"timestamp": "<string>",
"target": "<string>",
"errors": {}
}Users
Get user
GET
/
api
/
v2
/
users
/
{userId}
Get user
Path Parameters
Response
OK
⌘I